---
title: "danog\\AsyncOrm\\Settings\\RedisSettings: Redis backend settings."
description: ""

---
# `danog\AsyncOrm\Settings\RedisSettings`
[Back to index](../../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
> Author: Alexander Pankratov <alexander@i-c-a.su>  
  

Redis backend settings.  




## Constants
* `danog\AsyncOrm\Settings\RedisSettings::DEFAULT_CACHE_TTL`: 

## Properties
* `$config`: `Amp\Redis\RedisConfig` 
* `$serializer`: `danog\AsyncOrm\Serializer` 
* `$cacheTtl`: `int<0, max>` For how long to keep records in memory after last read.

## Method list:
* [`__construct(\Amp\Redis\RedisConfig $config, ?\danog\AsyncOrm\Serializer $serializer = NULL, int<0, max> $cacheTtl = \self::DEFAULT_CACHE_TTL)`](#__construct)
* [`getDriverClass(): string`](#getDriverClass)

## Methods:
### <a name="__construct"></a> `__construct(\Amp\Redis\RedisConfig $config, ?\danog\AsyncOrm\Serializer $serializer = NULL, int<0, max> $cacheTtl = \self::DEFAULT_CACHE_TTL)`




Parameters:

* `$config`: `\Amp\Redis\RedisConfig`   
* `$serializer`: `?\danog\AsyncOrm\Serializer` to use for object and mixed type values, if null defaults to either Igbinary or Native.  
* `$cacheTtl`: `int<0, max>` Cache TTL in seconds  


#### See also: 
* `\Amp\Redis\RedisConfig`
* [`\danog\AsyncOrm\Serializer`: Serializer interface.](../../../danog/AsyncOrm/Serializer.md)
* `max`




### <a name="getDriverClass"></a> `getDriverClass(): string`





---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
